package cn.com.ctop.kuaishou.modules.report.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

import java.util.List;

public interface IKsNewPlanReportService {

    List<JSONObject> getKsNewPlanGroupByAccount(JSONArray accountIds, String startDate, String endDate, String target, String order);

    List<JSONObject> getKsNewPlanGroupByStatDate(JSONArray accountIds, String startDate, String endDate);

    JSONObject getSumNewPlanBy(JSONArray accountIds, String startDate, String endDate);

    List<JSONObject> getAllOperator();

    JSONArray getAccountIdsByUserId(String userId);

    JSONArray getAccountIdsByMedia();

}
